﻿function proget_initShims() {
    if (typeof String.prototype.trim !== 'function') {
        String.prototype.trim = function () {
            return this.replace(/^\s+|\s+$/g, '');
        };
    }

    if (typeof Array.prototype.map !== 'function') {
        Array.prototype.map = function (callbackfn) {
            var res = new Array();
            for (var i = 0; i < this.length; i++)
                res.push(callbackfn(this[i], i, this));

            return res;
        };
    }

    if (typeof Array.prototype.filter !== 'function') {
        Array.prototype.filter = function (callbackfn) {
            var res = new Array();
            for (var i = 0; i < this.length; i++) {
                var value = this[i];
                if (callbackfn(value, i, this))
                    res.push(value);
            }

            return res;
        };
    }
}

proget_initShims();
